LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 07-30-2007, 01:22 AM   #1
AIgare
LQ Newbie
 
Registered: Jul 2007
Location: colorado springs
Distribution: slackware
Posts: 1

Rep: Reputation: 0
ladspa make errors on slackware 12


having problems installing ladspa on slackware 12
cc -I. -Wall -Werror -O3 -fPIC -o plugins/amp.o -c plugins/amp.c
ld -o ../plugins/amp.so plugins/amp.o -shared
cc -I. -Wall -Werror -O3 -fPIC -o plugins/delay.o -c plugins/delay.c
ld -o ../plugins/delay.so plugins/delay.o -shared
cc -I. -Wall -Werror -O3 -fPIC -o plugins/filter.o -c plugins/filter.c
ld -o ../plugins/filter.so plugins/filter.o -shared
cc -I. -Wall -Werror -O3 -fPIC -o plugins/noise.o -c plugins/noise.c
ld -o ../plugins/noise.so plugins/noise.o -shared
c++ -I. -Wall -Werror -O3 -fPIC -o plugins/sine.o -c plugins/sine.cpp
plugins/sine.cpp: In constructor 'StartupShutdownHandler::StartupShutdownHandler()':
plugins/sine.cpp:266: error: 'instantiateSineOscillator' was not declared in this scope
plugins/sine.cpp:268: error: 'connectPortToSineOscillator' was not declared in this scope
plugins/sine.cpp:270: error: 'activateSineOscillator' was not declared in this scope
plugins/sine.cpp:278: error: 'cleanupSineOscillator' was not declared in this scope
plugins/sine.cpp:291: error: 'runSineOscillator_FreqAudio_AmpAudio' was not declared in t his scope
plugins/sine.cpp:303: error: 'runSineOscillator_FreqAudio_AmpCtrl' was not declared in th is scope
plugins/sine.cpp:315: error: 'runSineOscillator_FreqCtrl_AmpAudio' was not declared in th is scope
plugins/sine.cpp:327: error: 'runSineOscillator_FreqCtrl_AmpCtrl' was not declared in thi s scope
make: *** [../plugins/sine.so] Error 1

I get some issues with cmt too!!

however i did not have these errors with slackware 11


ladspa_sdk.tgz
 
Old 07-30-2007, 06:10 AM   #2
J_W
Member
 
Registered: Apr 2004
Location: JAPAN
Distribution: Slackware-current
Posts: 54

Rep: Reputation: 15
Hi,

>I get some issues with cmt too!!
>However i did not have these errors with slackware 11

Slackware-12.0 uses gcc-4.1.2.
There is a gcc4 patch for ladspa_sdk source at Slacky's repository 12.0.
http://www.slacky.eu/repository/slac...dspa/1.12/src/
 
  


Reply

Tags
ladspa


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Make Errors keysorsoze Linux - Software 10 08-03-2008 10:08 PM
Make errors lazwaz Linux - Software 1 05-21-2005 04:37 AM
Chap 5 Binutils make LDFLAGS & make install errors shotokan Linux From Scratch 5 04-10-2005 03:01 AM
'make' errors... drenal Linux - Newbie 3 04-21-2004 07:51 PM
libbonobomm make errors Louis_Carole Linux - Software 6 04-06-2004 12:35 PM


All times are GMT -5. The time now is 05:47 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration